﻿@model List<UserRoleVM>

@{ 
    var roleID = ViewBag.RoleID;
}


<form method="post">
    <div class="card">
        <div class="card-header"><h2>Add or remove users from this role.</h2></div>
        <div class="card-body">
            @for (int i = 0; i < Model.Count; i++)
            {
                <div class="form-check m-1">
                    <input type="hidden" asp-for="@Model[i].UserID" />
                    <input asp-for="@Model[i].IsSelected" class="form-check-input" />
                    <label asp-for="@Model[i].IsSelected" class="form-check-label">
                        @Model[i].Username
                    </label>
                </div>
            }
        </div>
        <div class="card-footer">
            <input type="hidden" name="roleID" value="@roleID" />
            <input type="submit" value="Update" class="btn btn-success" />
            <a asp-action="UpdateRole" asp-route-id="@roleID" class="btn btn-success">Cancel</a>
        </div>
    </div>

</form>